# -*- coding: utf-8 -*-
"""
Created on Tue Dec 19 15:02:53 2017

loading IR data and printing plots

@author: pdd
"""

import numpy as np
import downloadversionIRdata as downIR
import matplotlib.pyplot as plt
import datetime
if __name__=='__main__':
    
    #%% loading data
    print(datetime.datetime.now(),"start")
    status,time,images,valid=downIR.get_temp_from_raw_by_program(10,"20180801.017",time_window=2.5,emi=0.8,T_version=2,version=0,threads=1,give_ERROR=False,verbose=5)
    print('fertig')
    
    #%% plotting data
    
    plt.figure()
    plt.imshow(images[220])
    plt.clim([280,630])
    plt.tick_params(axis='both',       # changes apply to the x-axis
                    which='both',      # both major and minor ticks are affected
                    bottom='off',      # ticks along the bottom edge are off
                    top='off',         # ticks along the top edge are off
                    left='off',
                    right='off',
                    labelleft='off',
                    labelbottom='off') # labels along the bottom edge are off
    c_ax = plt.colorbar()
    c_ax.set_label('T [K]')
    plt.savefig('20180726.028 - 2.2s - AEF50IR - in K.png', dpi=300, bbox_inches='tight')
    plt.show()
